Class | Irc::Bot::Config::Value
In: | lib/rbot/config.rb
Parent: | Object

### Methods

default get new parse set set_string to_s unset validate value

### Attributes

auth_path | [R] |
desc | [R] |
key | [R] |
manager | [R] |
order | [R] |
requires_rescan | [R] |
requires_restart | [R] |
type | [R] |
wizard | [R] |

### Public Class methods

new(key, params)

### Public Instance methods

default()
get()
parse(string)

override this. the default will work for strings only

set(value, on_change = true)
set_string(string, on_change = true)

set string will raise ArgumentErrors on failed parse/validate

to_s()
unset()
value()

Alias for get

### Protected Instance methods

validate(val, validator = @validate)

[Validate]